Get Provider Status

Get Provider Status
Poll vSphere provider connection health and workflow status

Retrieves the comprehensive health and execution status of the vSphere provider connection.

Returns:

  • Connection status: A boolean indicating whether the installer can currently authenticate and connect to the underlying vCenter server.
  • Workflow results: Detailed execution state of any active asynchronous update tasks triggered by PUT /sspi/providers/{provider-id}.
Request
URI
GET
https://{api_host}/sspi/providers/{provider-id}/status
COPY
Path Parameters
string
provider-id
Required  

A globally unique UUID representing the vSphere provider.

provider-id example
434348d8-681e-4809-8dc1-427127d2bee7

Authentication
This operation uses the following authentication methods.
Responses
200

Comprehensive status of the provider including connection status and workflow results.

Returns ProviderStatus of type(s) application/json
{
    "provider_id": "string",
    "connection_status": {
        "message": "string",
        "state": "string"
    },
    "workflow_results": {
        "display_name": "string",
        "type": "string",
        "start_time": 0,
        "end_time": 0,
        "state": "string",
        "phase": "string",
        "jobs": [
            {
                "id": 0,
                "display_name": "string",
                "details": "string",
                "start_time": 0,
                "end_time": 0,
                "state": "string"
            }
        ]
    }
}
string
provider_id
Optional

The ID of the provider.

object
connection_status
Optional

The provider connection status.

object
workflow_results
Optional

The security service workflow results.


400

Bad Request

Returns BadRequest of type(s) application/json
{
    "error_code": 0,
    "module_name": "string",
    "error_message": "string"
}
integer
error_code
Required  

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required  

Message describing the error.


401

Unauthorized

Returns Unauthorized of type(s) application/json
{
    "error_code": 0,
    "module_name": "string",
    "error_message": "string"
}
integer
error_code
Required  

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required  

Message describing the error.


403

Forbidden

Returns Forbidden of type(s) application/json
{
    "error_code": 0,
    "module_name": "string",
    "error_message": "string"
}
integer
error_code
Required  

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required  

Message describing the error.


412

Precondition Failed

Returns PreconditionFailed of type(s) application/json
{
    "error_code": 0,
    "module_name": "string",
    "error_message": "string"
}
integer
error_code
Required  

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required  

Message describing the error.


428

Precondition Required

Returns PreconditionRequired of type(s) application/json
{
    "error_code": 0,
    "module_name": "string",
    "error_message": "string"
}
integer
error_code
Required  

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required  

Message describing the error.


429

Too Many Requests

Returns TooManyRequests of type(s) application/json
{
    "error_code": 0,
    "module_name": "string",
    "error_message": "string"
}
integer
error_code
Required  

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required  

Message describing the error.


default

An error occurred while checking the Platform Installer service.

Returns Error of type(s) application/json
{
    "error_code": 0,
    "module_name": "string",
    "error_message": "string"
}
integer
error_code
Required  

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required  

Message describing the error.


Code Samples
COPY
                    curl -H 'Authorization: <value>' https://{api_host}/sspi/providers/{provider-id}/status